Package ru.bitel.oss.kernel.directories.address.common.bean

# Class Quarter

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem
ru.bitel.oss.kernel.directories.address.common.bean.Quarter

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Quarter extends CityItem

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Quarter.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Quarter()`
  `Quarter(City city, int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Quarter.Builder`
  `builder()`
  `static Quarter`
  `from(Quarter quarter)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `getCity, getCityId, setCity, setCityId`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, setTitlePrefix, setTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Quarter

    public Quarter()

  - ### Quarter

    public Quarter(City city, int id, String title)

- ## Method Details

  - ### from

    public static Quarter from(Quarter quarter)

  - ### builder

    public static Quarter.Builder builder()